summaryrefslogtreecommitdiffstats
path: root/source/a/rpm2tgz/rpm2tgz.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/rpm2tgz/rpm2tgz.SlackBuild')
-rwxr-xr-xsource/a/rpm2tgz/rpm2tgz.SlackBuild11
1 files changed, 9 insertions, 2 deletions
diff --git a/source/a/rpm2tgz/rpm2tgz.SlackBuild b/source/a/rpm2tgz/rpm2tgz.SlackBuild
index 1bb9ec115..00ebb5bcb 100755
--- a/source/a/rpm2tgz/rpm2tgz.SlackBuild
+++ b/source/a/rpm2tgz/rpm2tgz.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2018, 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rpm2tgz
VERSION=1.2.2
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,6 +78,13 @@ cat $CWD/rpm2targz > $PKG/usr/bin/rpm2targz
zcat $CWD/patches/0007-Add-support-for-.txz-packages-and-rpm2txz-symlink.patch.gz | patch -p1 || exit 1
zcat $CWD/patches/0008-Avoid-none-values-in-slack-desc.patch.gz | patch -p1 || exit 1
zcat $CWD/patches/0009-Add-c-option-just-as-makepkg-c-y.patch.gz | patch -p1 || exit 1
+ # Make sure that if someone created an RPM with absolute filenames that we
+ # don't allow it to write all over the / directory when we're just trying
+ # to extract it to make the .tgz:
+ zcat $CWD/patches/0010-no-absolute-filenames-extracting-cpio.patch.gz | patch -p1 || exit 1
+ # Allow ignoring rpm2cpio error code. Some RPMs can be extracted, but
+ # throw an error anyway.
+ zcat $CWD/patches/0011-ignore-rpm2cpio-error-code.patch.gz | patch -p1 || exit 1
) || exit 1
( cd $PKG/usr/bin ; ln -sf rpm2targz rpm2tgz )